aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorGravatar Bernd Kuhls <bernd.kuhls@t-online.de>2018-10-01 16:42:38 +0200
committerGravatar Peter Korsgaard <peter@korsgaard.com>2018-10-03 09:43:18 +0200
commitb7a9f919c02358964b88d43daa456230b11f5588 (patch)
tree4e5c8f8905cdf76c34fefcf2ae408dc56af3d287
parentd5f83cfc885c4a9ea6d35d38b7d5a8eaf725aee2 (diff)
downloadbuildroot-b7a9f919c02358964b88d43daa456230b11f5588.tar.gz
buildroot-b7a9f919c02358964b88d43daa456230b11f5588.tar.bz2
package/mesa3d: dri i965 driver needs headers >= 3.17
Since https://cgit.freedesktop.org/mesa/mesa/commit/src/intel/tools/aubinator.c?h=18.2&id=3228335b55c300cd07c4aa69329e58e70afae6a8 the dri i965 driver needs linux/memfd.h which is not available in kernel headers older than 3.17: https://git.kernel.org/cgit/linux/kernel/git/stable/linux-stable.git/log/include/uapi/linux/memfd.h?id=refs/tags/v3.18.36 Fixes http://autobuild.buildroot.net/results/5aa/5aac9e9cad789da11b05cbf5d2a5e3f3cf8f1614/ [Peter: memfd.h added in 3.17] Signed-off-by: Bernd Kuhls <bernd.kuhls@t-online.de> Signed-off-by: Peter Korsgaard <peter@korsgaard.com>
-rw-r--r--package/mesa3d/Config.in5
1 files changed, 5 insertions, 0 deletions
diff --git a/package/mesa3d/Config.in b/package/mesa3d/Config.in
index aea579d4e3..8b171b0d7f 100644
--- a/package/mesa3d/Config.in
+++ b/package/mesa3d/Config.in
@@ -187,11 +187,16 @@ config BR2_PACKAGE_MESA3D_DRI_DRIVER_I915
config BR2_PACKAGE_MESA3D_DRI_DRIVER_I965
bool "DRI i965 driver"
depends on BR2_i386 || BR2_x86_64
+ depends on BR2_TOOLCHAIN_HEADERS_AT_LEAST_3_17 # memfd.h
select BR2_PACKAGE_MESA3D_DRI_DRIVER
select BR2_PACKAGE_LIBDRM_INTEL
help
Support for i965-based Intel GPUs.
+comment "DRI i965 driver needs a toolchain w/ headers >= 3.17"
+ depends on BR2_i386 || BR2_x86_64
+ depends on !BR2_TOOLCHAIN_HEADERS_AT_LEAST_3_17
+
config BR2_PACKAGE_MESA3D_DRI_DRIVER_NOUVEAU
bool "DRI nouveau driver"
select BR2_PACKAGE_MESA3D_DRI_DRIVER